### Method

# GUPnP DeviceInfo get_udn

#### Declaration [src]

    const char*
    gupnp_device_info_get_udn (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get the Unique Device Name of the device.

Gets property | `GUPnP.DeviceInfo:udn`

#### Return value

Returns: | `const char*`
| A constant string.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.